.TH wxFlexGridSizer 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxFlexGridSizer \- See external documentation: wxFlexGridSizer\&.
.SH DESCRIPTION
.LP
See external documentation: wxFlexGridSizer <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxflexgridsizer\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxGridSizer 
.br
wxSizer 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxFlexGridSizer()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new(Cols::integer()) -> wxFlexGridSizer()
.br
.RS
.LP
Equivalent to new(Cols, [])\&.
.RE
.LP
.B
new(Cols::integer(), Options::[Option]) -> wxFlexGridSizer()
.br
.RS
.TP
Types
Option = {vgap, integer()} | {hgap, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxflexgridsizer\&.html#wxflexgridsizerwxflexgridsizer>\&.
.RE
.LP
.B
new(Rows::integer(), Cols::integer(), Vgap::integer(), Hgap::integer()) -> wxFlexGridSizer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxflexgridsizer\&.html#wxflexgridsizerwxflexgridsizer>\&.
.RE
.LP
.B
addGrowableCol(This::wxFlexGridSizer(), Idx::integer()) -> ok
.br
.RS
.LP
Equivalent to addGrowableCol(This, Idx, [])\&.
.RE
.LP
.B
addGrowableCol(This::wxFlexGridSizer(), Idx::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {proportion, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxflexgridsizer\&.html#wxflexgridsizeraddgrowablecol>\&.
.RE
.LP
.B
addGrowableRow(This::wxFlexGridSizer(), Idx::integer()) -> ok
.br
.RS
.LP
Equivalent to addGrowableRow(This, Idx, [])\&.
.RE
.LP
.B
addGrowableRow(This::wxFlexGridSizer(), Idx::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {proportion, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxflexgridsizer\&.html#wxflexgridsizeraddgrowablerow>\&.
.RE
.LP
.B
getFlexibleDirection(This::wxFlexGridSizer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxflexgridsizer\&.html#wxflexgridsizergetflexibledirection>\&.
.RE
.LP
.B
getNonFlexibleGrowMode(This::wxFlexGridSizer()) -> WxFlexSizerGrowMode
.br
.RS
.TP
Types
WxFlexSizerGrowMode = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxflexgridsizer\&.html#wxflexgridsizergetnonflexiblegrowmode>\&. 
.br
 WxFlexSizerGrowMode is one of ?wxFLEX_GROWMODE_NONE | ?wxFLEX_GROWMODE_SPECIFIED | ?wxFLEX_GROWMODE_ALL
.RE
.LP
.B
removeGrowableCol(This::wxFlexGridSizer(), Idx::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxflexgridsizer\&.html#wxflexgridsizerremovegrowablecol>\&.
.RE
.LP
.B
removeGrowableRow(This::wxFlexGridSizer(), Idx::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxflexgridsizer\&.html#wxflexgridsizerremovegrowablerow>\&.
.RE
.LP
.B
setFlexibleDirection(This::wxFlexGridSizer(), Direction::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxflexgridsizer\&.html#wxflexgridsizersetflexibledirection>\&.
.RE
.LP
.B
setNonFlexibleGrowMode(This::wxFlexGridSizer(), Mode::WxFlexSizerGrowMode) -> ok
.br
.RS
.TP
Types
WxFlexSizerGrowMode = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxflexgridsizer\&.html#wxflexgridsizersetnonflexiblegrowmode>\&. 
.br
 WxFlexSizerGrowMode is one of ?wxFLEX_GROWMODE_NONE | ?wxFLEX_GROWMODE_SPECIFIED | ?wxFLEX_GROWMODE_ALL
.RE
.LP
.B
destroy(This::wxFlexGridSizer()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
